## ros-iron-rclcpp-lifecycle 21.0.3

=== debian/changelog ===
ros-iron-rclcpp-lifecycle (21.0.3-1jammy) jammy; urgency=high

  * Switch lifecycle to use the RCLCPP macros. (#2244 <https://github.com/ros2/rclcpp/issues/2244>)
  * Add new node interface TypeDescriptionsInterface to provide GetTypeDescription service (#2236 <https://github.com/ros2/rclcpp/issues/2236>)
  * Contributors: Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (21.0.2-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (21.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (21.0.0-1jammy) jammy; urgency=high

  * Add support for logging service. (#2122 <https://github.com/ros2/rclcpp/issues/2122>)
  * Support publishing loaned messages in LifecyclePublisher (#2159 <https://github.com/ros2/rclcpp/issues/2159>)
  * Contributors: Lei Liu, Michael Babenko

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (20.0.0-1jammy) jammy; urgency=high

  * Fixes to silence some clang warnings. (#2127 <https://github.com/ros2/rclcpp/issues/2127>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Use the correct macro for LifecycleNode::get_fully_qualified_name (#2117 <https://github.com/ros2/rclcpp/issues/2117>)
  * add get_fully_qualified_name to rclcpp_lifecycle (#2115 <https://github.com/ros2/rclcpp/issues/2115>)
  * Contributors: Chris Lalancette, Steve Macenski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (19.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (19.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (19.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (19.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 29 Jan 2023 16:00:00 -0000

ros-iron-rclcpp-lifecycle (18.0.0-1jammy) jammy; urgency=high

  * Implement Unified Node Interface (NodeInterfaces class) (#2041 <https://github.com/ros2/rclcpp/issues/2041>)
  * Add clock type to node_options (#1982 <https://github.com/ros2/rclcpp/issues/1982>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, Jeffery Hsu, methylDragon

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 28 Dec 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (17.1.0-1jammy) jammy; urgency=high

  * LifecycleNode on_configure doc fix. (#2034 <https://github.com/ros2/rclcpp/issues/2034>)
  * Bugfix 20210810 get current state (#1756 <https://github.com/ros2/rclcpp/issues/1756>)
  * Make lifecycle impl get_current_state() const. (#2031 <https://github.com/ros2/rclcpp/issues/2031>)
  * Cleanup the lifecycle implementation (#2027 <https://github.com/ros2/rclcpp/issues/2027>)
  * Cleanup the rclcpp_lifecycle dependencies. (#2021 <https://github.com/ros2/rclcpp/issues/2021>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (17.0.0-1jammy) jammy; urgency=high

  * Revert "Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>) (#2010 <https://github.com/ros2/rclcpp/issues/2010>)
  * Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>)
  * Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)
  * Support pre-set and post-set parameter callbacks in addition to on-set-parameter-callback. (#1947 <https://github.com/ros2/rclcpp/issues/1947>)
  * Make create_service accept rclcpp::QoS (#1969 <https://github.com/ros2/rclcpp/issues/1969>)
  * Make create_client accept rclcpp::QoS (#1964 <https://github.com/ros2/rclcpp/issues/1964>)
  * Contributors: Andrew Symington, Deepanshu Bansal, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (16.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 May 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (16.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (16.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (16.0.0-1jammy) jammy; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (15.4.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (15.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (15.2.0-1jammy) jammy; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-iron-rclcpp-lifecycle (15.1.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)

